import java.io.*;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;

public class InstanceReader {

    Backpack read(String filename) throws  Exception {
        File file = new File(filename);
        List<Loot> loots = new ArrayList<>();
        BufferedReader buffer = new BufferedReader(new FileReader(file));
        int capacity = Integer.decode(buffer.readLine());
        Stream<String> lines = buffer.lines();

        lines.forEach(s -> {
            String[] line = s.split(" ");
            loots.add(new Loot(Integer.decode(line[0]),
                    Integer.decode(line[1]))
            );
        });

        return new Backpack(capacity,loots);
    }

}
